import { DesignType } from './DesignType';
export declare class DesignUsage {
    readonly id: number;
    readonly type: DesignType;
    readonly description: string;
    constructor(id: number, type: DesignType, description: string);
    get byteLength(): number;
    get colorDataLength(): number;
    static readonly LongSleeveDress: DesignUsage;
    static readonly ShortSleeveDress: DesignUsage;
    static readonly SleevelessDress: DesignUsage;
    static readonly LongSleeveShirt: DesignUsage;
    static readonly ShortSleeveShirt: DesignUsage;
    static readonly SleevelessShirt: DesignUsage;
    static readonly HornedHat: DesignUsage;
    static readonly KnitCap: DesignUsage;
    static readonly Standee: DesignUsage;
    static readonly CustomDesign: DesignUsage;
    static readonly UnknownUsage010: DesignUsage;
    static readonly UnknownUsage011: DesignUsage;
    static readonly all: DesignUsage[];
    static fromId(id: number): DesignUsage | undefined;
}
